IntelliCAD 11.1 Object Library | |
AddCircle Method | |
See Also |
- Center
A Point object representing the center of the circle.
- Radius
- A double-precision variable or number representing the radius of the circle.
Block Collection : AddCircle Method |
Description
Adds a Circle given the center and radius.
Syntax
Parameters
- Center
A Point object representing the center of the circle.
- Radius
- A double-precision variable or number representing the radius of the circle.
Example
Private Sub AddCircleExample()
' This example creates a circle with a radius of 4 and adds it to the
'drawing using the AddCircle method.
Dim icadDoc As IntelliCAD.Document
Dim icadCircle As IntelliCAD.Circle
Dim cenPt As IntelliCAD.Point
Set icadDoc = ActiveDocument
Set cenPt = Library.CreatePoint(1, 2)
'Add the circle to the .dwg
Set icadCircle = icadDoc.ModelSpace.AddCircle(cenPt, 4)
' Display the entity
icadCircle.Update
MsgBox "Circle created w/ center point at 1,2."
ThisDocument.Application.ZoomExtents
End Sub